i69n 1.1.0

Dart native js
Flutter Android iOS web

Simple internationalization tool for Dart and Flutter, based on YAML files and source code generation.

1.1.0 #

  • polishing, fine-tuning, release

1.0.0 #

  • possibility to customize generator behaviour with flags
  • map operator is now generated only for objects with 'map' flag

0.5.0 #

  • even more pedantic friendly - resolved all warnings

0.4.0 #

  • pedantic friendly - both project source files and generated messages

0.3.0 #

  • more benevolent dependencies (for web use angular: 5.3.1)

0.2.0 #

  • Upgrade to Dart 2.5.1 and build_runner 1.7.1
  • added possibility to access messages with string keys, not only Dart identifiers (i.e. m['generic.ok'])
  • output is formatted with Dartfmt

0.1.0 #

  • Seems good, let's move up

0.0.2 #

  • More README

0.0.1 #

  • Initial version, created by Stagehand
  • Just getting started.
20
likes
100
pub points
75%
popularity

Publisher

fnx.io

Simple internationalization tool for Dart and Flutter, based on YAML files and source code generation.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

build, build_config, dart_style, yaml

More

Packages that depend on i69n